Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class UpdateManagerEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.bridge.UpdateManagerEvent

All Implemented Interfaces:
  Serializable

    public class UpdateManagerEvent

extends EventObject

This class represents an event which indicate an event originated from a UpdateManager instance.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `clearPaintingTransform` True if before painting this update the canvas's painting transform needs to be cleared.
`protected List` | `dirtyAreas` The dirty areas, as a List of Rectangles.
`protected BufferedImage` | `image` The buffered image.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`UpdateManagerEvent(Object source, BufferedImage bi, List das)` Creates a new UpdateManagerEvent.
`UpdateManagerEvent(Object source, BufferedImage bi, List das, boolean cpt)` Creates a new UpdateManagerEvent.

Method Summary
`boolean` | `getClearPaintingTransform()` returns true if the component should clear it's painting transform before painting the associated BufferedImage.
`List` | `getDirtyAreas()` Returns the dirty areas (list of rectangles)
`BufferedImage` | `getImage()` Returns the image to display, or null if the rendering failed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### image

    protected BufferedImage image

  The buffered image.

### dirtyAreas

    protected List dirtyAreas

  The dirty areas, as a List of Rectangles.

### clearPaintingTransform

    protected boolean clearPaintingTransform

  True if before painting this update the canvas's painting transform needs to be cleared.

Constructor Detail

### UpdateManagerEvent

    public UpdateManagerEvent(Object source,
                              BufferedImage bi,
                              List das)

  Creates a new UpdateManagerEvent.

  Parameters:
    `source` - the object that originated the event, ie. the UpdateManager.
    `bi` - the image to paint.
    `das` - List of dirty areas.

### UpdateManagerEvent

    public UpdateManagerEvent(Object source,
                              BufferedImage bi,
                              List das,
                              boolean cpt)

  Creates a new UpdateManagerEvent.

  Parameters:
    `source` - the object that originated the event, ie. the UpdateManager.
    `bi` - the image to paint.
    `das` - List of dirty areas.
    `cpt` - Indicates if the painting transform should be cleared as a result of this event.

Method Detail

### getImage

    public BufferedImage getImage()

  Returns the image to display, or null if the rendering failed.

### getDirtyAreas

    public List getDirtyAreas()

  Returns the dirty areas (list of rectangles)

### getClearPaintingTransform

    public boolean getClearPaintingTransform()

  returns true if the component should clear it's painting transform before painting the associated BufferedImage.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.